#foswiki 2016-02-19,Fri

↑back Search ←Prev date Next date→ Show only urls(Click on time to select a line by its url)

WhoWhatWhen
***gac410 has left [05:37]
.................... (idle for 1h35mn)
ChanServ sets mode: +o CDot
ChanServ sets mode: +o MichaelDaum
[07:12]
..................... (idle for 1h43mn)
green_hornHy and good morning, i have some problems to install Foswiki 2.1.0 on Ubuntu14.04 server. Currently I´m using the version 1.1.9. I've followed all the steps on InstallationGuide (Install a new version) and everything is fine. The wiki runs and i can do many changes. But if I want to migrate the old data from version 1.1.9 to 2.1.0, I have the problem that the history of the topics and the WebTopicList are not displayed.
I´m follow the steps of the UpgradeGuide to migrate the old data into the new version, but I just do not get out
while trying the data with the copy "bulk_copy.pl", the error message, that's not a valid directive found in setlib.cfg
I thank you in advance
[08:58]
............. (idle for 1h2mn)
uebera||green_horn: Did you use/copy RCS files? The following excerpt from the log might give you an idea --> http://irclogs.foswiki.org/bin/irclogger_log/foswiki?date=2016-02-16,Tue&sel=153#l149 [10:08]
Lavrgreen_horn I think the overall consensus here seems to be that upgrading from 1.1.9 to 2.1 is best done as
1. Convert to utf8. It is an investment in the future and the best way to secure that future plugins etc will work with your data
2. If you upgrade from 1.1 - keep the RcsWrap or RcsLite if you run mod_perl. Do not convert to the directory storage
3. Install the 2.1 first and get it to work incl whatever tailorings you need
[10:15]
***BenjaminMartin has left [10:17]
Lavr4. Install the CharsetConverterContrib (can be installed from configure)
5. I assume your old 1.1.9 ran with iso-8859-1. That was the default.
6. I assume many of your users are on a Windows computer and have copied all sorts of stuff into the topics. So in reality the stored info is a mix of iso-8859-1 and unique windows chars
7. 5 and 6 are true open a command prompt and cd to the tools directory of the new Foswiki 2.1
8 run this command ONCE! sudo -u apache perl convert_charset.pl -encoding=cp1252
Then you should be all set
There will be a few glitches here and there where someone have created a URL to an attachment which had international chars. These links need to be manually updated. Most will work just fine.
In the period from you have the 2.1 working and just copied over the old webs and until the convert_charset has been run - things will not run well. Once the conversion is done all is well. You can only run the conversion ONCE on the same dataset. If you run it one more time you have total disaster!
[10:18]
....... (idle for 33mn)
green_hornwow cool, thank you very much for the information, I'll try your instructions Lavr [10:57]
.............. (idle for 1h9mn)
JulianLevensI'm trying to set our wiki with ISO date fields as standard: YYYY-MM-DD style. I've changed config {JSCalendarContrib}{format} = '%Y-%m-%d' and {DefaultDateFormat} = '$year-$mo-$day'
However the JSCalendar pop-up get's confused by the input date of 2016-12-19, but when I click the button I'm offered 8 August 2024
If I click a date then the input field becomes: 26 Feb 2016, i.e. it hasn't picked up the correct format
ActionTracker does display the pop-up and process dates correctly. So it appears to be a bug with Form/Date.pm, but a quick check of the code suggest it is picking up the $Foswiki::cfg values
Any pointers would be appreciated
[12:06]
....... (idle for 32mn)
Found it, not core bug, initial value from plugin not valid
... as that plugin hadn't been installed yet!
[12:45]
ark987Hello MichaelDaum, Ive created another task for NatSkin: http://foswiki.org/Tasks/Item13968 here in the office we have people that have problems reading small letters, so today is kind of bug hunting for me with the zooming function [12:57]
MichaelDaumark987, seen it. thanks for the fix. [12:58]
ark987Oh great, but Ive created a second one
is more or less the same thing
Do you have any ideas when I could have a look for the second issue? it is no rush for me, hopefully they dont zoom the page that much, it is something that Ive noticed.
I mean: *Where? not When... Im so hungry now...
[12:58]
***ChanServ sets mode: +o Lynnwood [13:03]
MichaelDaumhotfix attached [13:04]
.......... (idle for 47mn)
ark987Amazing! thanks MichaelDaum, Ive test it and now will push it in the production wiki. [13:51]
MichaelDaumdid you try the customato theme as well? it is better maintained by now. [13:51]
ark987Not really, since Ive started the wiki project I chose the JazzyNote mainly because of the color combination. [14:01]
Is customato a better option? When our users are more familiar with the wiki system maybe I could change the skin in the future. For the moment the adoption is quite impressive Ive set the system to do SSO with the Domain.
It is very easy for them to use, the only thing that I would wish for is what Lavr mention few days ago: I'd like to see the Wysiwyg more robust
The copy pasting is kind of annoying in Wysiwyg
[14:09]
........... (idle for 52mn)
***ChanServ sets mode: +o MichaelDaum [15:04]
....... (idle for 33mn)
green_hornHey Guy´s, its me again. I just do not get out :-( I´m trying to migrate data from an Backup of Foswiki 1.1.9 to a new Install of 2.1.0. I have followed the Installion- and the UpgradeGuide. The old data with bulk_copy.pl tries to copy. Now I get the error message: Can't locate Foswiki.pm in @ INC. I think I'm just too stupid :-)
maybe someone can give me a tip
[15:37]
ColasHi, did you try to run first the new Install of 2.1.0 without your data? [15:39]
green_hornyes,
and Foswiki runs
So in the version 2.1.0
but I need the old data from the version 1.1.9
[15:39]
ColasQuite strange, this seem to indicate that bin/setlig.cfg has been clobbered by bulk_copy.pl ? [15:43]
green_hornI can the version 1.1.9 not recover, since I am only the directive / data / pup and / have as a backup
'/bin
[15:48]
Colascan you see .../bin/configure in your browser? [15:52]
green_hornyes [15:52]
Colasstrange. try to save from it (changing a minor setup if needed) [15:53]
green_hornthe installation of version 2.1.0 is running without problems, I can make configuration, install plugins
and save the configs
but I do not get the data from the old to the new version
[15:56]
if I copy the data from / data / Main / pub / Main of the backups in the new installed version, this can not be resolved in the index. I think that it is related with the characters of the old version
I do not really know how I can describe it better
[16:06]
..... (idle for 20mn)
***BenjaminMartin has left [16:27]
......................... (idle for 2h0mn)
TitanOfOld has quit IRC (*.net *.split) [18:27]
.......................................................... (idle for 4h49mn)
ChanServ sets mode: +o gac410 [23:16]

↑back Search ←Prev date Next date→ Show only urls(Click on time to select a line by its url)